Debian Bug report logs - #682409
ruby-pgplot: FTBFS in sid

version graph

Package: ruby-pgplot; Maintainer for ruby-pgplot is Youhei SASAKI <uwabami@gfd-dennou.org>; Source for ruby-pgplot is src:ruby-pgplot.

Reported by: Andreas Beckmann <debian@abeckmann.de>

Date: Sun, 22 Jul 2012 13:57:01 UTC

Severity: serious

Found in version ruby-pgplot/0.1.3-4

Fixed in version ruby-pgplot/0.1.3-5

Done: Youhei SASAKI <uwabami@gfd-dennou.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Youhei SASAKI <uwabami@gfd-dennou.org>:
Bug#682409; Package ruby-pgplot. (Sun, 22 Jul 2012 13:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Youhei SASAKI <uwabami@gfd-dennou.org>. (Sun, 22 Jul 2012 13:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ruby-pgplot: FTBFS in sid
Date: Sun, 22 Jul 2012 15:55:09 +0200
[Message part 1 (text/plain, inline)]
Package: ruby-pgplot
Version: 0.1.3-4
Severity: serious
Justification: fails to build from source

Hi,

your package does not build in a minimal sid amd64 chroot:

 debian/rules build
dh build --with ruby --buildsystem ruby
   dh_testdir -O--buildsystem=ruby
   dh_auto_configure -O--buildsystem=ruby
/usr/lib/ruby/vendor_ruby/gem2deb.rb:17: warning: setting Encoding.default_external
   debian/rules override_dh_auto_build
make[1]: Entering directory `/tmp/buildd/ruby-pgplot-0.1.3'
dh_auto_build
/usr/lib/ruby/vendor_ruby/gem2deb.rb:17: warning: setting Encoding.default_external
( cd doc && make )
make[2]: Entering directory `/tmp/buildd/ruby-pgplot-0.1.3/doc'
ruby -I. /usr/bin/rd2 -r rd2html-img-lib.rb --with-css=css.css -o index index.rd
/usr/bin/rd2: output to index.html...
ruby -I. /usr/bin/rd2 -r rd2html-img-lib.rb --with-css=css.css -o pgline pgline.rd
/usr/bin/rd2: output to pgline.html...
ruby -I. /usr/bin/rd2 -r rd2html-img-lib.rb --with-css=css.css -o pgcont pgcont.rd
/usr/bin/rd2: output to pgcont.html...
ruby -I. /usr/bin/rd2 -r rd2html-img-lib.rb --with-css=css.css -o pgimag pgimag.rd
/usr/bin/rd2: output to pgimag.html...
ruby -I. /usr/bin/rd2 -r rd2html-img-lib.rb --with-css=css.css -o pghist pghist.rd
/usr/bin/rd2: output to pghist.html...
ruby mkind.rb rbpg-ind.txt rbpg-ind.rd
ruby -I. /usr/bin/rd2 -r rd2html-img-lib.rb --with-css=css.css -o rbpg-ind rbpg-ind.rd
/usr/bin/rd2: output to rbpg-ind.html...
ruby -I. /usr/bin/rd2 -r rd2html-img-lib.rb --html-lang=ja --out-code=jis --with-css=css.css install.ja.rd > install.html.ja
lib/rd/rdblockparser.ry:331:in `===': invalid byte sequence in US-ASCII (ArgumentError)
        from lib/rd/rdblockparser.ry:331:in `next_token'
        from (eval):3:in `_racc_do_parse_c'
        from (eval):3:in `do_parse'
        from lib/rd/rdblockparser.ry:262:in `parse'
        from /usr/lib/ruby/vendor_ruby/rd/tree.rb:51:in `parse'
        from /usr/bin/rd2:220:in `<main>'
make[2]: *** [install.html.ja] Error 1
make[2]: Leaving directory `/tmp/buildd/ruby-pgplot-0.1.3/doc'
make[1]: *** [override_dh_auto_build] Error 2
make[1]: Leaving directory `/tmp/buildd/ruby-pgplot-0.1.3'
make: *** [build] Error 2


Andreas
[ruby-pgplot_0.log.gz (application/x-gzip, attachment)]

Reply sent to Youhei SASAKI <uwabami@gfd-dennou.org>:
You have taken responsibility. (Wed, 25 Jul 2012 12:21:09 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Wed, 25 Jul 2012 12:21:09 GMT) Full text and rfc822 format available.

Message #10 received at 682409-close@bugs.debian.org (full text, mbox):

From: Youhei SASAKI <uwabami@gfd-dennou.org>
To: 682409-close@bugs.debian.org
Subject: Bug#682409: fixed in ruby-pgplot 0.1.3-5
Date: Wed, 25 Jul 2012 12:17:15 +0000
Source: ruby-pgplot
Source-Version: 0.1.3-5

We believe that the bug you reported is fixed in the latest version of
ruby-pgplot, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 682409@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Youhei SASAKI <uwabami@gfd-dennou.org> (supplier of updated ruby-pgplot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 25 Jul 2012 14:43:08 +0900
Source: ruby-pgplot
Binary: ruby-pgplot ruby-pgplot-dbg
Architecture: source amd64
Version: 0.1.3-5
Distribution: unstable
Urgency: low
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Changed-By: Youhei SASAKI <uwabami@gfd-dennou.org>
Description: 
 ruby-pgplot - Ruby interface to the PGPLOT graphics library
 ruby-pgplot-dbg - Ruby-PGPLOT debugging symbols
Closes: 682409
Changes: 
 ruby-pgplot (0.1.3-5) unstable; urgency=low
 .
   * Fix FTBFS: workaround for RD2 Bugs
     Thanks to Andreas Beckmann! (Closes: #682409)
Checksums-Sha1: 
 356e0220fec955d3ba78ba5a6d9a750a03448448 2125 ruby-pgplot_0.1.3-5.dsc
 4210cfd4d8f7353b2b34d5d141e52e937055cc35 36055 ruby-pgplot_0.1.3.orig.tar.gz
 0bf01b80229b7fdb0025aebcfbec5dc920664dd2 26522 ruby-pgplot_0.1.3-5.debian.tar.gz
 f1b5829efd2161f66cb9f847faeeee3cefed44ae 51912 ruby-pgplot_0.1.3-5_amd64.deb
 cfc47bfb7e7039f80e033460166d9bc18be2733c 64034 ruby-pgplot-dbg_0.1.3-5_amd64.deb
Checksums-Sha256: 
 4523fd3c20f0a5407dbca8001f7c805633aeb207ec81f1fd41c0e91987b5d7cc 2125 ruby-pgplot_0.1.3-5.dsc
 262cc8cf48ed63060049cb3fc0e8c347dfe2776b165f504c3585512dcd75b619 36055 ruby-pgplot_0.1.3.orig.tar.gz
 9ede4476ee6a41aad72ea371706e680a1f4b1e81e00fcded24c75b21028482f2 26522 ruby-pgplot_0.1.3-5.debian.tar.gz
 71690c38a5d1a04b9b99675cd153bcb6e9a797f3a3cee7a29bb916d7db62cb30 51912 ruby-pgplot_0.1.3-5_amd64.deb
 87eace6b6906fd55486810541729fd20d421761033a0c416778c308ba0bd9a94 64034 ruby-pgplot-dbg_0.1.3-5_amd64.deb
Files: 
 8026db3dc18f876d79f3461c7a6ee315 2125 contrib/ruby optional ruby-pgplot_0.1.3-5.dsc
 c88da0694c24b7e0d65bf531e96a3efc 36055 contrib/ruby optional ruby-pgplot_0.1.3.orig.tar.gz
 c65bc26e06d4de3216cfbe808ce46fed 26522 contrib/ruby optional ruby-pgplot_0.1.3-5.debian.tar.gz
 9cfbed9725d0ec15307c39ae7b01e636 51912 contrib/ruby optional ruby-pgplot_0.1.3-5_amd64.deb
 71e8df8aadcb4a9e202a686c4186a7a2 64034 contrib/debug extra ruby-pgplot-dbg_0.1.3-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJQD+GWAAoJEJOU81SJHX4HDtEQAIvk70zU6XJT62CcxSshQ9Nb
6tOjF/6SMKLvVqZmXMquHj9Iw1i/4E7ApLFFSJCjlt27noPZ4yIfGsR/FhnQNNUb
62akZQgUiF/awzj4+6SIljLS55KtcmdnKqByTjsQ3InEhQL5YDgbXDtWb5RfMb31
Adp/SPNkxiD5nS0nM8ykqs0mz3BW4NkRYchIH4lk1tSO2wiqUl98G9Dwb1iHiQMc
1g5G54HNN3JpSyEXJOCTTJSTL8+JTH2iwhnubihgUPDHCLQ4+o2aFq2qBPZAzAS5
E0ZBUz01+R0VvyVWNQ0kb8cdpplroECHfvwrFfKbIW1//BMtW3pOcm7Pen8wEzqL
6tygRea3415mt50yai/JK2Rt4V8rRNn8HvM8UE15l1tTrz7Y9iVrbjg3aqbxplbD
DTnvRwfrzXalcP8ByAYyUmLsL4KBWvF5WBpO4r7MqYPIPyod5WgJ2asj8wufqnQM
W6UTlggAbIQBh1Uv53FKFa8q/Ejou2EdQz7f9Vu9vIoy868VnHYiVVEXad5Z5yPb
vO3pJ8rYIPz1GXYddDzH7xalkSh+mZy10MZDrVuvZkV/gJd1gqzysxMQQHbE99A/
GovDzs78zTWhbA6JUfqzy2Zb5F/Kn9d+sddzrCBZolLL0HZwePyiU+DGNww5vwnx
crNjJTwmiUYfzYVXcfww
=OGVf
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 23 Aug 2012 07:25:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:47:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.